package eu.mikroskeem.uurimustoo.algoritmidetest.algoritmid;

import org.meteogroup.jbrotli.io.BrotliInputStream;
import org.meteogroup.jbrotli.io.BrotliOutputStream;
import org.meteogroup.jbrotli.libloader.BrotliLibraryLoader;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Mark Vainomaa
 */
public class Brotli extends AbstractAlgorithm {
    @Override public String getName() { return "Brotli"; }

    static {
        BrotliLibraryLoader.loadBrotli();
    }

    @Override
    public OutputStream createCompressor(OutputStream outputStream) throws IOException {
        return new BrotliOutputStream(outputStream);
    }

    @Override
    public InputStream createDecompressor(InputStream inputStream) throws IOException {
        return new BrotliInputStream(inputStream);
    }
}
